# MON_PredictiveCancellation
## Downloading the data

### Using gin

Create an account on gin and download the *gin* client as described [here](https://web.gin.g-node.org/G-Node/Info/wiki/gin-cli). On your computer, log in using
```bash
gin login
```

Clone the repository using:
```bash
gin get kperks/PredictiveCancellation_CerebellumLikeMON
```

Large data files will not be downloaded automatically. To get them, use
```bash
gin get-content <filename>
```

Downloaded large files will be locked (read-only). You must unlock the files using
```bash
gin unlock <filename>
```

To remove the contents of a large file again, use
```bash
gin lock <filename>
gin remove-content <filename>
```

See [here](https://web.gin.g-node.org/G-Node/Info/wiki/gin-cli+tutorial) for detailed information on how to use *gin*.


### Using git annex

Make sure git and git-annex are installed on your computer. Create an account on gin and upload your public SSH key to your gin profile. Then clone the repository using
```bash
git clone git@gin.g-node.org:/kperks/PredictiveCancellation_CerebellumLikeMON.git
```

Large data files will not be downloaded automatically. To get them, use
```bash
git annex get <filename>
```

Downloaded large files will be locked (read-only). You must unlock the files using
```bash
git annex unlock <filename>
```

To remove the contents of a large file again, use
```bash
git annex --force lock <filename>
git annex drop <filename>
```

See the *git annex* documentation for details.


### Using the web browser

Download the latest release as a zip file by clicking on *Releases* on the main page at https://web.gin.g-node.org/INM6/multielectrode_grasp. This zip file will contain all small (text) files only, while large data files will not be downloaded automatically and an empty placeholder will be put in their place. To get the full content of such a large file , download these files individually as needed from the web interface by clicking on them in the repository browser.

## Repository structure

### Directory datasets
Data associated with each cell/experiment is located in its own folder titled by date\_cellID\_[other].

### Directory code
The .ipynb and .csv files in the DataScripts directory contain all functions and data needed to reproduce the results reported in the manuscript and the raw visualization of those results (which were then organized into the final manuscript figures using Corel). These scripts pull data from individual data files (.smr or .npy) contained in the rest of the directory tree (titled by date\_cellID\_[other]).  

-'Analysis_responses.ipynb' analyzes the spiking responses from individual cells (using information specific to each experiment/cell collected contained in 'DataMat.csv') and stores the results in 'MetaData.csv'

-ManuscriptAnalysis.ipynb' queries data stored in 'MetaData.csv' and analyzes the data as reported in the Results of the manuscript. This file also contains all of the scritps used to create the figures in the manuscript associated with those results. 

For some cells, spike times were detected by peak finding in Spike2 and are stored in the .smr file.
For some cells, SpykingCircus (version 0.8.3; Written by P.Yger and O.Marre) was used to detect spikes and the times are stored in spikes.npy. The DataScripts folder contains the probe file and params file used for this sorting. 